Subject: RE: [ipfix] WG process: a proposal - Add ons.

From: "Reinaldo Penno"<[email-masked]>
Date: Thu, 14 Feb 2002 07:35:04 -0800

I said I would strongly like to be on the architecture team...

But I would like to add something for people to think about before we move
forward.

K.C said that the two documents have strenghts and weakness. Well, there are
cases where they have strenghts on the same area but their approaches are
different. And there are cases where one proposes one thing that the other
does not endorse (and vice-versa).  

So, is there a considerable risk that in order to please everybody we might
end up pleasing no one? What I'm trying to say is that in order to cope with
objections/requests from different people we end up with a proposal that is
worst than both taken separately? Maybe then the traditional IETF process
where proposals live or die by their own merits would have been better.

just thiking out loud...

thanks,

Reinaldo

>-----Original Message-----
>From: Nevil Brownlee [mailto:[email-masked]]
>Sent: Wednesday, February 13, 2002 2:23 PM
>To: [email-masked]
>Cc: [email-masked]; [email-masked]; [email-masked];
>[email-masked]; [email-masked]
>Subject: [ipfix] WG process: a proposal
>
>
>
>Hello all:
>
>Various people have been asking for some direction from the WG chairs 
>as to where we're heading with the two current documents.  After some
>discussion between Dave and myself, I'd like to suggest the following:
>
>A: Background
>
>1) At the Salt Lake City IETF we called for volunteers to work on
>   the two IPFIX documents, as set out in the WG charter.  About
>   20 people volunteered.
>
>2) After an initial flurry of discussion on the IPFIX list, things
>   went quiet.  We set up some extra sub-lists to help the design
>   team members get some initial discussions going.
>
>3) KC Norseth stepped forward and posted some skeleton documents.
>   These were simply lists of section headings based on the
>   'IPFIX requirements' document.
>
>4) KC also proposed a design teleconference.  That idea was
>   welcomed, and the conference was scheduled for 31 January.
>
>5) At that point a group from Cisco, led by Benoit and Ganesh,
>   came forward with a much more complete document, which they
>   published as an individual Internet draft, so everyone could
>   read it and comment.  This was a very considerable contribution
>   to the WG.
>
>6) The teleconference was held, with many people participating.
>   Minutes were posted on the list.  Since then there has been
>   a *lot* of discussion on the list and sublists.  Many people
>   (including those from Cisco) have contributed text, which KC
>   has edited together to form a second document.  This will
>   shortly be published as a second individual draft.
>
>7) We now have two documents, each with lots of worthwhile material
>   in them.  I suspect there is a feeling that these are, somehow,
>   competing proposals - this is not the case.  Both are serious
>   contributions to the WG effort.
>
>B: What next?
>
>From the WG co-chairs point of view, any documents being produced as
>WG drafts need to be the result of open discussion in the WG, i.e. on
>its mailing list.  The co-chairs' role is to facilitate discussion, 
>and to guide it towards actually delivering documents as per the WG's
>charter goals.  Decisions about the technical merit of text in various
>sections of the document needs to be decided by consensus on the list.
>
>Ideally, we'd like to get to the next IETF meeting (Minneapolis in 
>March) with a single document to review / discuss / amend.  So how
>can we achieve that?
>
>I propose that
>
>1) We form a small 'editorial' team, with two people from those
>   working on each of the two current documents (4 altogether).
>
>2) We ask the editorial team to merge the documents together,
>   and publish the resulting document(s) as IPFX WG drafts.
>
>3) The members of the design team - i.e. all those who've contributed
>   text to the drafts - will be listed in the 'Acknowledgements'
>   section of all drafts produced. The editors of each document
>   will appear as the document authors.
>
>4) Watching the mailing list discussion, this is starting to 
>   happen as a natural development anyway.  Agreeing to proceed
>   in this way would simply introduce a little formality to it,
>   and make the process clear to everyone.
>
>One other comment. This WG has certainly generated plenty of 
>interesting
>discussion on its mailing list.  It's clear that all those involved
>are putting a lot of effort into our goal of producing the best 
>technical solutions.  Thanks all round.
>
>I'd like comments / feedback on this notion from all concerned, please.
>In particular, if we can agree to proceed in this way, we need to
>decide who's on the editorial team ...
>
>Cheers, Nevil
>
>+---------------------------------------------------------------------+
>| Nevil Brownlee                     Director, Technology Development |
>| Phone: +64 9 373 7599 x8941        ITSS, The University of Auckland |
>|   FAX: +64 9 373 7021      Private Bag 92019, Auckland, New Zealand |
>+---------------------------------------------------------------------P
>
>
>--
>Help        mailto:[email-masked] and say "help" 
>in message body
>Unsubscribe mailto:[email-masked] and say
>"unsubscribe ipfix" in message body
>Archive     http://ipfix.doit.wisc.edu/archive/
>

---

From: "Norseth, KC" <[email-masked]>
Date: Thu, 14 Feb 2002 11:23:16 -0500

Comments inline

-----Original Message-----
From: Reinaldo Penno [mailto:[email-masked]] 
Sent: Thursday, February 14, 2002 8:35 AM
To: Nevil Brownlee; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked];
[email-masked]
Subject: RE: [ipfix] WG process: a proposal - Add ons.
Importance: High

No matter who is on the review board, these comments would be useful.
Please discuss these comments, ideas and opinions on  the list.  Everyone
has the documents and has read them.  It would be important for the
reviewers to get the opinions of all.  

Lets not bash people or companies in the process though.

Rough concensus is the statement.  Although we want to please everyone, that
does not mean we will.

just thiking out loud...  

Thinking out loud is a great way for others to hear.  Definitely  some good
points Reinaldo.

In case you don't have the documents, they can be found at:

http://norseth.org/ietf/ipfix/ <http://norseth.org/ietf/ipfix/>   (Directory
includes MS word versions)
http://norseth.org/ietf/ipfix/draft-ietf-ipfix-architecture-00.txt
<http://norseth.org/ietf/ipfix/draft-ietf-ipfix-architecture-00.txt> 
http://norseth.org/ietf/ipfix/draft-ietf-ipfix-data-00.txt
<http://norseth.org/ietf/ipfix/draft-ietf-ipfix-data-00.txt> 

and

http://search.ietf.org/internet-drafts/draft-gsadasiv-ipfix-proposal-00.txt
<http://search.ietf.org/internet-drafts/draft-gsadasiv-ipfix-proposal-00.txt

If you cannot get any of these, send me an email and I can send them to you.

K.C.

thanks, 

Reinaldo 

>From: Nevil Brownlee [mailto:[email-masked]
<mailto:[email-masked]> ] 
>Help        mailto:[email-masked]
<mailto:[email-masked]>  and say "help" 
>in message body 
>Unsubscribe mailto:[email-masked]
<mailto:[email-masked]>  and say 
>Archive     http://ipfix.doit.wisc.edu/archive/
<http://ipfix.doit.wisc.edu/archive/>